clang-tools 6.0.0

Functions
clang::tidy::utils::fixit Namespace Reference

## Functions
FixItHint | changeVarDeclToReference (const VarDecl &Var, ASTContext &Context)
| Creates fix to make `VarDecl` a reference by adding `&`. More...
FixItHint | changeVarDeclToConst (const VarDecl &Var)
| Creates fix to make `VarDecl` const qualified. More...

## Function Documentation

## ◆ changeVarDeclToConst()

FixItHint clang::tidy::utils::fixit::changeVarDeclToConst | ( | const VarDecl & | Var | ) |

Creates fix to make `VarDecl` const qualified.

Definition at line 29 of file FixItHintUtils.cpp.

Referenced by clang::tidy::performance::ForRangeCopyCheck::check(), and clang::tidy::performance::UnnecessaryValueParamCheck::check().

## ◆ changeVarDeclToReference()

FixItHint clang::tidy::utils::fixit::changeVarDeclToReference | ( | const VarDecl & | Var,
|  | ASTContext & | Context
| ) |  |

Creates fix to make `VarDecl` a reference by adding `&`.

Definition at line 19 of file FixItHintUtils.cpp.

Referenced by clang::tidy::performance::ForRangeCopyCheck::check(), and clang::tidy::performance::UnnecessaryValueParamCheck::check().